﻿using System.Collections.Generic;
using System.Linq;

namespace DataControls.BLL
{
    public class VendorsManager
    {

        public List<DAL.Vendors> GetAll()
        {
            return DAL.Vendors.All();
        }

        public DAL.Vendors Get(int id)
        {
            return DAL.Vendors.All().SingleOrDefault(x => x.ID == id);
        }
        public void Insert(int ID,  string Name, string WebSite)
        {
            // get last id
            int maxID = DAL.Vendors.All().Max(x => x.ID);
            if (ID <= maxID)
            {
                ID = ++maxID;
            }
            DAL.Vendors.All().Add(new DAL.Vendors(ID, Name, WebSite));
        }
        public void Update(int ID, string Name, string WebSite)
        {
            DAL.Vendors vendorToUpdate = Get(ID);
            if (vendorToUpdate != null)
            {
                vendorToUpdate.Name = Name;
                vendorToUpdate.WebSite = WebSite;
            }
        }

        public void Delete(int ID)
        { 
            DAL.Vendors vendorToDelete = Get(ID);
            if (vendorToDelete != null)
            {
                DAL.Vendors.All().Remove(vendorToDelete);
            }
        }

    }
}