﻿using System.Collections.Generic;

namespace DataControls.DAL
{
    public class Vendors
    {
        public Vendors()
        { 
        }
        public Vendors(int id, string name)
        {
            this.ID = id;
            this.Name = name;
        }
        public Vendors(int id, string name, string website)
            : this(id, name)
        {
            this.WebSite=website;
        }
 
        public int ID
        {
            get;
            set;
        }

        public string Name
        {
            get;
            set;
        }
        public string WebSite
        {
            get;
            set;
        }


        public static List<Vendors> All()
        {
            if(_vendors == null)
            {
                _vendors = new List<Vendors>();
                _vendors.Add(new Vendors(1, "Amazon", "http://www.amazon.com/"));
                _vendors.Add(new Vendors(2, "Fnac", "http://www.fnac.com/"));
                _vendors.Add(new Vendors(3, "Microsoft", "http://www.microsoft.com/"));
                _vendors.Add(new Vendors(4, "Apple", "http://www.apple.com/"));
                _vendors.Add(new Vendors(5, "Nestle", "http://www.nestle.com/"));
                _vendors.Add(new Vendors(6, "LDLC", "http://www.ldlc.com/"));
                _vendors.Add(new Vendors(7, "Carrefour", "http://www.carrefour.com/"));
                _vendors.Add(new Vendors(8, "Auchan", "http://www.auchan.com/"));
            }
            return _vendors;
        }
        private static List<Vendors> _vendors = null;
    }
}